fid=svgheader('c:/temp/test.svg');
indep=0:0.001:1;

x=indep*600;
y1=100+100*sin(indep*2*pi);
y2=100+100*cos(indep*2*pi);
y3=100+100*sin(2*indep*2*pi);
y4=100+100*cos(2*indep*2*pi);

svgline(fid, x, y1, 'stroke', 'red');
svgline(fid, x, y2, 'stroke', 'green');
svgline(fid, x, y3, 'stroke', 'blue');
svgline(fid, x, y4, 'stroke', 'black');

svgfooter(fid);
